﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ProyectoFinalCliente1.ServiceReference2 {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="Usuario", Namespace="http://schemas.datacontract.org/2004/07/ProyectoFinalWCF.models")]
    [System.SerializableAttribute()]
    public partial class Usuario : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pApellidoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pEstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int pIdField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pNombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pPasswordField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string pUsernameField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pApellido {
            get {
                return this.pApellidoField;
            }
            set {
                if ((object.ReferenceEquals(this.pApellidoField, value) != true)) {
                    this.pApellidoField = value;
                    this.RaisePropertyChanged("pApellido");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pEstado {
            get {
                return this.pEstadoField;
            }
            set {
                if ((object.ReferenceEquals(this.pEstadoField, value) != true)) {
                    this.pEstadoField = value;
                    this.RaisePropertyChanged("pEstado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int pId {
            get {
                return this.pIdField;
            }
            set {
                if ((this.pIdField.Equals(value) != true)) {
                    this.pIdField = value;
                    this.RaisePropertyChanged("pId");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pNombre {
            get {
                return this.pNombreField;
            }
            set {
                if ((object.ReferenceEquals(this.pNombreField, value) != true)) {
                    this.pNombreField = value;
                    this.RaisePropertyChanged("pNombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pPassword {
            get {
                return this.pPasswordField;
            }
            set {
                if ((object.ReferenceEquals(this.pPasswordField, value) != true)) {
                    this.pPasswordField = value;
                    this.RaisePropertyChanged("pPassword");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string pUsername {
            get {
                return this.pUsernameField;
            }
            set {
                if ((object.ReferenceEquals(this.pUsernameField, value) != true)) {
                    this.pUsernameField = value;
                    this.RaisePropertyChanged("pUsername");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="ServiceReference2.IService1")]
    public interface IService1 {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/createUser", ReplyAction="http://tempuri.org/IService1/createUserResponse")]
        ProyectoFinalCliente1.ServiceReference2.Usuario createUser(ProyectoFinalCliente1.ServiceReference2.Usuario user);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/createUser", ReplyAction="http://tempuri.org/IService1/createUserResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> createUserAsync(ProyectoFinalCliente1.ServiceReference2.Usuario user);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/userById", ReplyAction="http://tempuri.org/IService1/userByIdResponse")]
        ProyectoFinalCliente1.ServiceReference2.Usuario userById(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/userById", ReplyAction="http://tempuri.org/IService1/userByIdResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> userByIdAsync(int id);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/login", ReplyAction="http://tempuri.org/IService1/loginResponse")]
        ProyectoFinalCliente1.ServiceReference2.Usuario login(string username);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService1/login", ReplyAction="http://tempuri.org/IService1/loginResponse")]
        System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> loginAsync(string username);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IService1Channel : ProyectoFinalCliente1.ServiceReference2.IService1, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class Service1Client : System.ServiceModel.ClientBase<ProyectoFinalCliente1.ServiceReference2.IService1>, ProyectoFinalCliente1.ServiceReference2.IService1 {
        
        public Service1Client() {
        }
        
        public Service1Client(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public Service1Client(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public Service1Client(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ProyectoFinalCliente1.ServiceReference2.Usuario createUser(ProyectoFinalCliente1.ServiceReference2.Usuario user) {
            return base.Channel.createUser(user);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> createUserAsync(ProyectoFinalCliente1.ServiceReference2.Usuario user) {
            return base.Channel.createUserAsync(user);
        }
        
        public ProyectoFinalCliente1.ServiceReference2.Usuario userById(int id) {
            return base.Channel.userById(id);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> userByIdAsync(int id) {
            return base.Channel.userByIdAsync(id);
        }
        
        public ProyectoFinalCliente1.ServiceReference2.Usuario login(string username) {
            return base.Channel.login(username);
        }
        
        public System.Threading.Tasks.Task<ProyectoFinalCliente1.ServiceReference2.Usuario> loginAsync(string username) {
            return base.Channel.loginAsync(username);
        }
    }
}
